Skip to main content
POST
Fetch Correlation

Description

Get correlation analysis for scale, numeric and grid questions.

Payload

where:
  • fromDate: start date in ISO format. (Required).
  • toDate: end date in ISO format. (Required).
  • filter: array of filters to filter the responses. (Optional).
  • groups: Object indexed by question id with a q as prefix. Every key has assigned an array with the question ids with q prefix that are the same question through different concepts inside a concept test. Only needed for project with Concept Test or Question Loops (Optional).

Response

200 OK

where:
  • matrix: An array of objects containing the relation between every question.
  • matrix[].r: Relation coefficient between the questions.
  • matrix[].p: Pearson’s coefficient between the questions.
  • questionsIds: Question ids for the questions correlated.

400 Bad Request

Missing or invalid fromDate/toDate/projectId fields.

401 Unauthorized

Invalid authorization.

404 Not Found

Resource not found.

500 Internal Server Error

Error occurred in the service.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

Successful response